    DIM info$(10, 10)               'get file information from users disk drive
    files "c:\", info$()

    NOMAINWIN
    WindowWidth = 423
    WindowHeight = 366
    UpperLeftX=int((DisplayWidth-WindowWidth)/2)
    UpperLeftY=int((DisplayHeight-WindowHeight)/2)

    menu #Launcher, "File", "Exit", [Quit_Launcher]

    groupbox #Launcher.groupbox12, "License Holder",  10, 122, 190, 178
    groupbox #Launcher.groupbox4,  "Photometry", 215,  17, 190, 283
    groupbox #Launcher.groupbox3,  "Data Acquisition and Control",  10,  17, 190, 90
    button   #Launcher.button1,    "SSP4Dataq2",[SSPDataq], UL,  28,  42, 155,  25
    button   #Launcher.button2,    "SSP4Dataq2 Help",[SSPDataqHelp], UL,  28,  74, 155,  25
    button   #Launcher.button5,    "Star Database Editor",[StarDatabase], UL, 233,  42, 155,  25
    button   #Launcher.button6,    "Extinction",[Extinction], UL, 233,  74, 155,  25
    button   #Launcher.button7,    "SOE",[SOE], UL, 233, 106, 155,  25
    button   #Launcher.button12,   "All Sky Calibration",[AllSky], UL, 233, 137, 155,  25
    button   #Launcher.button8,    "Transformation",[Transformation], UL, 233, 170, 155,  25
    button   #Launcher.button9,    "Reduction",[Reduction], UL, 233, 203, 155,  25
    button   #Launcher.button10,   "Plot Data",[PlotData], UL, 233, 236, 155,  25
    button   #Launcher.button11,   "Photometry Help",[PhotometryHelp], UL, 233, 269, 155,  25

'=============change these two line per customer information=================
    statictext #Launcher.statictext13, " ",  28, 167,  100,  20
    statictext #Launcher.statictext14, " ",  28, 192,  170,  20
    statictext #Launcher.statictext15, " ",  28, 215,  169,  20
    statictext #Launcher.statictext16, " ",  28, 228,  160,  20
'============================================================================

    open "SSP4Dataq2 Program Launcher" for window as #Launcher
    print #Launcher, "font ms_sans_serif 10"
    print #Launcher.statictext13, "!font ms_sans_serif 12"
    print #Launcher.statictext14, "!font ms_sans_serif 11"
    print #Launcher.statictext15, "!font ms_sans_serif 11"
    #Launcher "trapclose [Quit_Launcher]"

    [Launcher_Loop]
        wait
    goto [Launcher_Loop]

    [SSPDataq]
        files DefaultDir$, "SSP4Dataq2.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "SSP4Dataq2 not found"
        else
            run "SSP4dataq2.tkn"
        end if
    goto [Launcher_Loop]

    [SSPDataqHelp]
        run "hh ssp4dataq2.chm"
    goto [Launcher_Loop]

    [StarDatabase]
        files DefaultDir$, "StarDatabase_JH.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "Star Data Editor JH not found"
        else
            run "StarDatabase_JH.tkn"
        end if
    goto [Launcher_Loop]

    [Extinction]
        files DefaultDir$, "Extinction_JH.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "Extinction coefficients program not found"
        else
            run "Extinction_JH.tkn"
        end if
    goto [Launcher_Loop]

    [SOE]
        files DefaultDir$, "SOE_JH.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "SOE coefficient program not found"
        else
            run "SOE_JH.tkn"
        end if
    goto [Launcher_Loop]

    [AllSky]
        files DefaultDir$, "AllSky_JH.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "All Sky Calibration program not found"
        else
            run "AllSky_JH.tkn"
        end if
    goto [Launcher_Loop]

    [Transformation]
        files DefaultDir$, "Transformation_JH.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "Transformation coefficients program not found"
        else
            run "Transformation_JH.tkn"
        end if
    goto [Launcher_Loop]

    [Reduction]
        files DefaultDir$, "Reduction_JH.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "Data reduction program not found"
        else
            run "Reduction_JH.tkn"
        end if
    goto [Launcher_Loop]

    [PlotData]
        files DefaultDir$, "PlotData_JH.tkn", info$()
        if val(info$(0, 0)) = 0 then
            notice "Plotting program not found"
        else
            run "PlotData_JH.tkn"
        end if
    goto [Launcher_Loop]

    [PhotometryHelp]
        run "hh photometry JH.chm"
    goto [Launcher_Loop]


    [Quit_Launcher]
    close #Launcher
end
